import { NgZorroAntdModule } from 'ng-zorro-antd';
import { RouterModule } from '@angular/router';
import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { EditFormModule } from '@widgets/entity3/main9/main9.module';
import { Entity3Main9EditViewPage } from './entity3-main9-edit-view';


@NgModule({
  imports: [
    RouterModule.forChild([
      {
        path: '',
        component: Entity3Main9EditViewPage,
        data: { name: 'module3_entity3main9editview' }
      }
    ])
  ],
  exports: [ RouterModule ]
})
export class Entity3Main9EditViewRouteModule {}

@NgModule({
  imports: [
    NgZorroAntdModule,
    CommonModule,
    FormsModule,
    Entity3Main9EditViewRouteModule,
    EditFormModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [Entity3Main9EditViewPage],
  entryComponents: [Entity3Main9EditViewPage],
  exports: [Entity3Main9EditViewPage]
})
export class Entity3Main9EditViewModule {}
